import { CostInputPeriod } from "@cocalc/util/licenses/purchase/types";
import { ComputeCostProps } from "@cocalc/util/upgrades/shopping";
export declare function computeDedicatedDiskCost(props: ComputeCostProps): CostInputPeriod | undefined;
export declare function computeDedicatedVMCost(props: ComputeCostProps): CostInputPeriod | undefined;
export declare function computeCost(props: ComputeCostProps): CostInputPeriod | undefined;
